"""File containing webapp app admin registers."""

from django.contrib import admin
from webapp.models import (
    Feed,
    Tag,
    Event,
    Signup,
    SignupForm,
    TemplateQuestion,
    JobAd,
    BaseWebhook,
    GenericWebhook,
    TelegramHook,
)
from modeltranslation.admin import TranslationAdmin
from django.contrib.auth.models import Permission

# this is needed so that the models get registered for translation
import webapp.translation

admin.site.register(Permission)

admin.site.register(Feed, TranslationAdmin)
admin.site.register(Tag, TranslationAdmin)
admin.site.register(Event, TranslationAdmin)
admin.site.register(SignupForm, TranslationAdmin)
admin.site.register(Signup, TranslationAdmin)
admin.site.register(TemplateQuestion, TranslationAdmin)
admin.site.register(JobAd, TranslationAdmin)
admin.site.register(GenericWebhook, TranslationAdmin)
admin.site.register(TelegramHook, TranslationAdmin)
